.mapBlockOuter{
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    padding-top: 108px;
    padding-bottom: 90px;
    gap: 30px;
}

/* Block */

.preSelector{
    position: relative;
    display: flex;
    max-width: 100%;
    width: 100%;
    justify-content: center;
}

.preSelector select{
    display: flex;
    width: 100%;
    font-family: var(--wp--preset--font-family--manrope);
    font-weight: 400;
    font-size: 1em;
    text-transform: uppercase;
    padding: 14px 20px;
    background-color: var(--wp--preset--color--base);
    border-radius: 40px;
    border: none;
}

.mapWrap{
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    flex: 1;
    padding: 25px;
    border-radius: 40px;
    border: 1px solid var(--wp--preset--color--contrast-2)
}

#openMap{
    height: 100%;
    width: 100%;
    position: relative;
    border-radius: 33px;
}


a.leaflet-popup-close-button{
    color: white !important;
}

a.leaflet-popup-close-button:hover{
    color: #FF503B !important;
}


.leaflet-popup-content-wrapper,
.leaflet-popup-tip{
    background-color: var(--wp--preset--color--accent-1) !important;
}

.leaflet-popup-content-wrapper .mapProdLink{
    font-family: var(--wp--preset--font-family--manrope);
    font-size: 14px;
    font-weight: 500;
    color: var(--wp--preset--color--base);
    transition: all 0.3s ease-in-out;
}

.leaflet-popup-content-wrapper:hover .mapProdLink{
    color: #FF503B;
}

.mapWrap .leaflet-tile-pane {
    filter:
        grayscale(0.15)
        hue-rotate(60deg)
        saturate(0.55)
        brightness(1.05);
}

.mapTags {
    position: absolute;
    top: 0;
    width: unset !important;
    max-width: unset !important;
    display: flex;
}

.mapTagsLeft {
    left: -70px;
    transform: rotate(90deg) !important;
    transform-origin: left center;
}

.mapTagsRight {
    right: -30px;
    transform: translateX(100%) rotate(90deg) !important;
    transform-origin: left center;
}

.mapTag {
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
    color: var(--wp--preset--color--accent-1);
    font-family: var(--wp--preset--font-family--saira);
    line-height: 1.1;
    font-size: 1em;
    text-transform: uppercase;
    letter-spacing: 0.02;
}

.mapTag:nth-child(2) {
    transform: translate(-80px, -36px);
}

.mapTag:nth-child(3) {
    transform: translateX(-80px);
}

.mapTag:nth-child(4) {
    transform: translate(-140px, -36px);
}

@media (max-width: 1319.98px) {
    .mapTags {
        display: none !important;
    }
}

@media (max-width: 500px) {
  .preSelector select {
    font-size: 14px;
    padding: 10px;
  }
}

@media (max-width: 459.98px) {
    .mapBlockOuter {
        padding-top: 170px;
    }
}

@media (max-width: 360px) {
    .preSelector select {
        font-size: 12px;
  }
}

@media (max-height: 750px) {
    .mapBlockOuter{
        min-height: 750px;
    }
}